package com.ybxiang.nms.simpleclient;

import java.util.Properties;

import javax.naming.InitialContext;

public class InitialContextHelper {
	public static InitialContext getInitialContext() throws Exception {
		return getInitialContext("localhost");
	}

	public static InitialContext getInitialContext(String serverIP)
			throws Exception {
		Properties properties = new Properties();
		properties.put("java.naming.factory.url.pkgs",
				"org.jboss.ejb.client.naming");

		properties
				.put("remote.connectionprovider.create.options.org.xnio.Options.SSL_ENABLED",
						"false");
		properties.put("remote.connections", "default");
		properties.put("remote.connection.default.host", serverIP);
		properties.put("remote.connection.default.port", "4447");
		properties
				.put("remote.connection.default.connect.options.org.xnio.Options.SASL_POLICY_NOANONYMOUS",
						"false");

		return new InitialContext(properties);
	}
}